Skip to main content
`Ctrl`+`K`

# MatResidual

Default routine to calculate the residual r = b - Ax

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatResidual(Mat mat, Vec b, Vec x, Vec r)

Collective

## Input Parameters

- mat - the matrix

- b - the right-hand-side

- x - the approximate solution

## Output Parameter

- r - location to store the residual

## See Also

Matrices, `Mat`, `MatMult()`, `MatMultAdd()`, `PCMGSetResidual()`

## Level

developer

## Location

src/mat/interface/matrix.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages